package cn.com.qmth.stmms.biz.report.dao;

import cn.com.qmth.stmms.biz.report.model.ReportSubjectCollege;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * 课程学院分析 Dao
 *
 * @author xuwenjin
 * @date 2019-04-15
 */
public interface ReportSubjectCollegeDao
        extends PagingAndSortingRepository<ReportSubjectCollege, Integer>, JpaSpecificationExecutor<ReportSubjectCollege> {

    void deleteByExamId(Integer exmaId);


    /**
     * 获取课程学院分析数据
     *
     * @param examId
     * @param subjectCode
     * @return List<Object [ ]>
     */
    @Query(value = "SELECT " +
            "s.college," +
            "max( s.objectiveScore + s.subjectiveScore ) ," +
            "min( s.objectiveScore + s.subjectiveScore) ," +
            "avg( s.objectiveScore + s.subjectiveScore ) ," +
            "sum( CASE WHEN ( s.objectiveScore + s.subjectiveScore ) >= e.passScore THEN 1 ELSE 0 END ) ," +
            "sum( CASE WHEN ( s.objectiveScore + s.subjectiveScore ) >= e.excellentScore THEN 1 ELSE 0 END ) ," +
            "count(s) FROM " +
            "ExamStudent s , Exam e where  s.examId = e.id " +
            "and " +
            "s.examId = ?1 and s.subjectCode = ?2  and s.college is not null and s.absent = false " +
            "GROUP BY s.college")
    List<Object[]> queryReportSubjectCollegeData(Integer examId, String subjectCode);

}
