package cn.com.qmth.stmms.biz.report.dao;

import cn.com.qmth.stmms.biz.report.model.ReportSubjectGroup;
import org.springframework.data.jpa.repository.JpaSpecificationExecutor;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.PagingAndSortingRepository;

import java.util.List;

/**
 * 大题成绩分析 Dao
 *
 * @author xuwenjin
 * @date 2019-04-18
 */
public interface ReportSubjectGroupDao
        extends PagingAndSortingRepository<ReportSubjectGroup, Integer>, JpaSpecificationExecutor<ReportSubjectGroup> {

    void deleteByExamId(Integer exmaId);

    @Query("select q.mainNumber,q.mainTitle,count(q.mainNumber) as subNumber from ExamQuestion q where q.examId=?1 and q.subjectCode=?2 and q.objective=?3 and q.paperType is not null group by q.mainNumber,q.mainTitle  "
            + "order by q.mainNumber")
    public List<Object[]> countGroupByMainNum(Integer examId, String subjectCode,
                                              boolean objective);


}
