package cn.com.qmth.stmms.biz.report.model;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 课程总量分析
 *
 * @author xuwenjin
 * @date 2019-04-11
 */
@Entity
@Table(name = "s_basic_subject", indexes = {@Index(name = "subject_index",columnList = "exam_id,subject_code")})
public class ReportSubject implements Serializable {

    private static final long serialVersionUID = -1596478079357284914L;

    /**
     * 主键
     */
    @Id
    @GeneratedValue
    private Integer id;

    /**
     * 考试id
     */
    @Column(name = "exam_id")
    private Integer examId;

    /**
     * 课程编号
     */
    @Column(name = "subject_code")
    private String subjectCode;

    /**
     * 课程名称
     */
    @Column(name = "subject_name")
    private String subjectName;

    /**
     * 最高分
     */
    @Column(name = "max_score")
    private Double maxScore;

    /**
     * 最低分
     */
    @Column(name = "min_score")
    private Double minScore;

    /**
     * 平均分
     */
    @Column(name = "avg_score")
    private Double avgScore;

    /**
     * 报考人数
     */
    @Column(name = "total_count")
    private Integer totalCount;

    /**
     * 及格人数
     */
    @Column(name = "pass_count")
    private Integer passCount;

    /**
     * 及格率
     */
    @Column(name = "pass_rate")
    private Double passRate;

    /**
     * 缺考人数
     */
    @Column(name = "absent_count")
    private Integer absentCount;

    /**
     * 违纪人数
     */
    @Column(name = "breach_count")
    private Integer breachCount;

    /**
     * 实考人数
     */
    @Column(name = "reality_count")
    private Integer realityCount;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Double getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(Double maxScore) {
        this.maxScore = maxScore;
    }

    public Double getMinScore() {
        return minScore;
    }

    public void setMinScore(Double minScore) {
        this.minScore = minScore;
    }

    public Double getAvgScore() {
        return avgScore;
    }

    public void setAvgScore(Double avgScore) {
        this.avgScore = avgScore;
    }

    public Integer getTotalCount() {
        return totalCount;
    }

    public void setTotalCount(Integer totalCount) {
        this.totalCount = totalCount;
    }

    public Integer getPassCount() {
        return passCount;
    }

    public void setPassCount(Integer passCount) {
        this.passCount = passCount;
    }

    public Double getPassRate() {
        return passRate;
    }

    public void setPassRate(Double passRate) {
        this.passRate = passRate;
    }

    public Integer getAbsentCount() {
        return absentCount;
    }

    public void setAbsentCount(Integer absentCount) {
        this.absentCount = absentCount;
    }

    public Integer getBreachCount() {
        return breachCount;
    }

    public void setBreachCount(Integer breachCount) {
        this.breachCount = breachCount;
    }

    public Integer getRealityCount() {
        return realityCount;
    }

    public void setRealityCount(Integer realityCount) {
        this.realityCount = realityCount;
    }

}