package cn.com.qmth.stmms.biz.report.model;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 课程班级成绩分析
 *
 * @author xuwenjin
 * @date 2019-04-12
 */
@Entity
@Table(name = "s_basic_subject_class", indexes = {@Index(columnList = "exam_id,subject_code,class_name")})
public class ReportSubjectClass implements Serializable {

    private static final long serialVersionUID = 1932022687226092788L;

    /**
     * 主键
     */
    @Id
    @GeneratedValue
    private Integer id;

    /**
     * 考试id
     */
    @Column(name = "exam_id")
    private Integer examId;

    /**
     * 课程编号
     */
    @Column(name = "subject_code")
    private String subjectCode;

    /**
     * 课程名称
     */
    @Column(name = "subject_name")
    private String subjectName;

    /**
     * 班级
     */
    @Column(name = "class_name")
    private String className;

    /**
     * 最高分
     */
    @Column(name = "max_score")
    private Double maxScore;

    /**
     * 最低分
     */
    @Column(name = "min_score")
    private Double minScore;
    /**
     * 及格人数
     */
    @Column(name = "pass_count")
    private int passCount;

    /**
     * 及格率
     */
    @Column(name = "pass_rate")
    private Double passRate;

    /**
     * 优秀数
     */
    @Column(name = "excellent_count")
    private int excellentCount;

    /**
     * 优秀率
     */
    @Column(name = "excellent_rate")
    private Double excellentRate;

    /**
     * 平均分
     */
    @Column(name = "avg_score")
    private Double avgScore;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public Double getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(Double maxScore) {
        this.maxScore = maxScore;
    }

    public Double getMinScore() {
        return minScore;
    }

    public void setMinScore(Double minScore) {
        this.minScore = minScore;
    }

    public int getPassCount() {
        return passCount;
    }

    public void setPassCount(int passCount) {
        this.passCount = passCount;
    }

    public Double getPassRate() {
        return passRate;
    }

    public void setPassRate(Double passRate) {
        this.passRate = passRate;
    }

    public int getExcellentCount() {
        return excellentCount;
    }

    public void setExcellentCount(int excellentCount) {
        this.excellentCount = excellentCount;
    }

    public Double getExcellentRate() {
        return excellentRate;
    }

    public void setExcellentRate(Double excellentRate) {
        this.excellentRate = excellentRate;
    }

    public Double getAvgScore() {
        return avgScore;
    }

    public void setAvgScore(Double avgScore) {
        this.avgScore = avgScore;
    }

}