package cn.com.qmth.stmms.biz.report.model;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 课程学院分析
 *
 * @author xuwenjin
 * @date 2019-04-11
 */
@Entity
@Table(name = "s_basic_subject_college", indexes = {@Index(columnList = "exam_id,subject_code")})
public class ReportSubjectCollege implements Serializable {

    private static final long serialVersionUID = 3030910032864476591L;

    /**
     * 主键
     */
    @Id
    @GeneratedValue
    private Integer id;

    /**
     * 考试id
     */
    @Column(name = "exam_id")
    private Integer examId;

    /**
     * 课程编号
     */
    @Column(name = "subject_code")
    private String subjectCode;

    /**
     * 课程名称
     */
    @Column(name = "subject_name")
    private String subjectName;

    /**
     * 学院名称
     */
    @Column(name = "college_name")
    private String collegeName;

    /**
     * 最高分
     */
    @Column(name = "max_score")
    private Double maxScore;

    /**
     * 最低分
     */
    @Column(name = "min_score")
    private Double minScore;

    /**
     * 平均分
     */
    @Column(name = "avg_score")
    private Double avgScore;

    /**
     * 及格率
     */
    @Column(name = "pass_rate")
    private Double passRate;


    /**
     * 及格数
     */
    @Column(name = "pass_count")
    private Integer passCount;

    /**
     * 优秀率
     */
    @Column(name = "excellent_rate")
    private Double excellentRate;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getCollegeName() {
        return collegeName;
    }

    public void setCollegeName(String collegeName) {
        this.collegeName = collegeName;
    }

    public Double getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(Double maxScore) {
        this.maxScore = maxScore;
    }

    public Double getMinScore() {
        return minScore;
    }

    public void setMinScore(Double minScore) {
        this.minScore = minScore;
    }

    public Double getAvgScore() {
        return avgScore;
    }

    public void setAvgScore(Double avgScore) {
        this.avgScore = avgScore;
    }

    public Integer getPassCount() {
        return passCount;
    }

    public void setPassCount(Integer passCount) {
        this.passCount = passCount;
    }

    public Double getPassRate() {
        return passRate;
    }

    public void setPassRate(Double passRate) {
        this.passRate = passRate;
    }

    public Double getExcellentRate() {
        return excellentRate;
    }

    public void setExcellentRate(Double excellentRate) {
        this.excellentRate = excellentRate;
    }
}