package cn.com.qmth.stmms.biz.report.model;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 大题维度分析
 *
 * @author xuwenjin
 * @date 2019-04-12
 */
@Entity
@Table(name = "s_basic_group", indexes = {@Index(columnList = "exam_id,subject_code")})
public class ReportSubjectGroup implements Serializable {

    private static final long serialVersionUID = 3619846310455325739L;

    /**
     * 主键
     */
    @Id
    @GeneratedValue
    private Integer id;

    /**
     * 考试id
     */
    @Column(name = "exam_id")
    private Integer examId;

    /**
     * 课程编号
     */
    @Column(name = "subject_code")
    private String subjectCode;

    /**
     * 课程名称
     */
    @Column(name = "subject_name")
    private String subjectName;

    /**
     * 大题型
     */
    @Column(name = "group_name")
    private String groupName;

    /**
     * 最高分
     */
    @Column(name = "max_score")
    private Double maxScore;

    /**
     * 最低分
     */
    @Column(name = "min_score")
    private Double minScore;

    /**
     * 平均分
     */
    @Column(name = "avg_score")
    private Double avgScore;

    /**
     * 满分
     */
    @Column(name = "total_score")
    private Double totalScore;

    /**
     * 标准差
     */
    @Column(name = "sd")
    private Double SD;

    /**
     * 差异系数
     */
    @Column(name = "cv")
    private Double CV;

    /**
     * 零分人数
     */
    @Column(name = "zero_count")
    private Integer zeroCount;

    /**
     * 满分人数
     */
    @Column(name = "full_count")
    private Integer fullCount;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public Double getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(Double maxScore) {
        this.maxScore = maxScore;
    }

    public Double getMinScore() {
        return minScore;
    }

    public void setMinScore(Double minScore) {
        this.minScore = minScore;
    }

    public Double getAvgScore() {
        return avgScore;
    }

    public void setAvgScore(Double avgScore) {
        this.avgScore = avgScore;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Double getSD() {
        return SD;
    }

    public void setSD(Double sD) {
        SD = sD;
    }

    public Double getCV() {
        return CV;
    }

    public void setCV(Double cV) {
        CV = cV;
    }

    public Integer getZeroCount() {
        return zeroCount;
    }

    public void setZeroCount(Integer zeroCount) {
        this.zeroCount = zeroCount;
    }

    public Integer getFullCount() {
        return fullCount;
    }

    public void setFullCount(Integer fullCount) {
        this.fullCount = fullCount;
    }

}