package cn.com.qmth.stmms.biz.report.model;

import javax.persistence.*;
import java.io.Serializable;

/**
 * 客观 主观题 成绩分析
 *
 * @author xuwenjin
 * @date 2019-04-12
 */
@Entity
@Table(name = "s_basic_question", indexes = {@Index(columnList = "exam_id,subject_code")})
public class ReportSubjectQuestion implements Serializable {

    private static final long serialVersionUID = 6724909968773149817L;

    /**
     * 主键
     */
    @Id
    @GeneratedValue
    private Integer id;

    /**
     * 考试id
     */
    @Column(name = "exam_id")
    private Integer examId;

    /**
     * 课程编号
     */
    @Column(name = "subject_code")
    private String subjectCode;

    /**
     * 课程名称
     */
    @Column(name = "subject_name")
    private String subjectName;
    /**
     * 题目名称
     */
    @Column(name = "question_Name", length = 128)
    private String questionName;

    /**
     * 总分
     */
    @Column(name = "total_score")
    private Double totalScore;

    /**
     * 平均分
     */
    @Column(name = "avg_score")
    private Double avgScore;

    /**
     * 标准差
     */
    @Column(name = "sd")
    private Double sd;

    /**
     * 得分率
     */
    @Column(name = "score_rate")
    private Double scoreRate;

    /**
     * 满分率
     */
    @Column(name = "full_score_rate")
    private Double fullScoreRate;

    /**
     * 是否客观
     */
    @Column(name = "objective")
    private Boolean objective;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getExamId() {
        return examId;
    }

    public void setExamId(Integer examId) {
        this.examId = examId;
    }

    public String getSubjectCode() {
        return subjectCode;
    }

    public void setSubjectCode(String subjectCode) {
        this.subjectCode = subjectCode;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public String getQuestionName() {
        return questionName;
    }

    public void setQuestionName(String questionName) {
        this.questionName = questionName;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Double getAvgScore() {
        return avgScore;
    }

    public void setAvgScore(Double avgScore) {
        this.avgScore = avgScore;
    }

    public Double getSd() {
        return sd;
    }

    public void setSd(Double sd) {
        this.sd = sd;
    }

    public Double getScoreRate() {
        return scoreRate;
    }

    public void setScoreRate(Double scoreRate) {
        this.scoreRate = scoreRate;
    }

    public Double getFullScoreRate() {
        return fullScoreRate;
    }

    public void setFullScoreRate(Double fullScoreRate) {
        this.fullScoreRate = fullScoreRate;
    }

    public Boolean getObjective() {
        return objective;
    }

    public void setObjective(Boolean objective) {
        this.objective = objective;
    }
}