package cn.com.qmth.stmms.admin.report;

import cn.com.qmth.stmms.admin.exam.BaseExamController;
import cn.com.qmth.stmms.biz.report.model.ReportSubjectClass;
import cn.com.qmth.stmms.biz.report.query.ReportSubjectQuery;
import cn.com.qmth.stmms.biz.report.service.ReportSubjectClassService;
import cn.com.qmth.stmms.common.domain.WebUser;
import cn.com.qmth.stmms.common.utils.RequestUtils;
import org.apache.commons.lang.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * 课程班级ß成绩分析
 *
 * @author xuwenjin
 * @date 2019-04-16
 */
@Controller
@RequestMapping("/admin/exam/reportSubjectClass")
public class ReportSubjectClassController extends BaseExamController {

    protected static Logger log = LoggerFactory.getLogger(ReportSubjectClassController.class);

    @Autowired
    private ReportSubjectClassService reportSubjectClassService;


    @RequestMapping
    public String list(Model model, HttpServletRequest request, ReportSubjectQuery query) {
        WebUser webuser = RequestUtils.getWebUser(request);
        int examId = getSessionExamId(request);
//        reportSubjectClassService.saveReportSubjectClassData(1, "1118802");
        query.setExamId(examId);
        if (StringUtils.isNotBlank(query.getSubjectCode())) {
            List<ReportSubjectClass> reportSubjectClassList = reportSubjectClassService.findByQuery(query);
            model.addAttribute("list", reportSubjectClassList);
        }
        model.addAttribute("subjectList", getExamSubject(examId, webuser));
        model.addAttribute("query", query);
        return "modules/report/reportSubjectClass";
    }


}
