package cn.com.qmth.stmms.admin.report;

import cn.com.qmth.stmms.admin.exam.BaseExamController;
import cn.com.qmth.stmms.biz.report.model.ReportSubjectGroup;
import cn.com.qmth.stmms.biz.report.query.ReportSubjectQuery;
import cn.com.qmth.stmms.biz.report.service.ReportSubjectGroupService;
import cn.com.qmth.stmms.common.domain.WebUser;
import cn.com.qmth.stmms.common.utils.RequestUtils;
import org.apache.commons.lang.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * 大题统计分析
 *
 * @author xuwenjin
 * @date 2019-04-19
 */
@Controller
@RequestMapping("/admin/exam/reportSubjectGroup")
public class ReportSubjectGroupController extends BaseExamController {

    protected static Logger log = LoggerFactory.getLogger(ReportSubjectGroupController.class);

    @Autowired
    private ReportSubjectGroupService reportSubjectGroupService;

    @RequestMapping
    public String list(Model model, HttpServletRequest request, ReportSubjectQuery query) {
        WebUser webuser = RequestUtils.getWebUser(request);
        int examId = getSessionExamId(request);
//        reportSubjectGroupService.saveReportSubjectGroupData(1, "1118802");
        query.setExamId(examId);
        if (StringUtils.isNotBlank(query.getSubjectCode())) {
            List<ReportSubjectGroup> groups = reportSubjectGroupService.findByQuery(query);
            model.addAttribute("list", groups);
        }
        model.addAttribute("subjectList", getExamSubject(examId, webuser));
        model.addAttribute("query", query);
        return "modules/report/reportSubjectGroup";
    }

}
