package cn.com.qmth.stmms.admin.report;

import cn.com.qmth.stmms.admin.exam.BaseExamController;
import cn.com.qmth.stmms.biz.report.model.ReportSubjectQuestion;
import cn.com.qmth.stmms.biz.report.query.ReportSubjectQuery;
import cn.com.qmth.stmms.biz.report.service.ReportSubjectQuestionService;
import cn.com.qmth.stmms.common.domain.WebUser;
import cn.com.qmth.stmms.common.utils.RequestUtils;
import org.apache.commons.lang.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * 客、主观题 成绩分析
 *
 * @author xuwenjin
 * @date 2019-04-18
 */
@Controller
@RequestMapping("/admin/exam/reportSubjectQuestion")
public class ReportSubjectQuestionController extends BaseExamController {

    protected static Logger log = LoggerFactory.getLogger(ReportSubjectQuestionController.class);

    @Autowired
    private ReportSubjectQuestionService reportSubjectQuestionService;


    @RequestMapping
    public String list(Model model, HttpServletRequest request, ReportSubjectQuery query) {
        WebUser webuser = RequestUtils.getWebUser(request);
        int examId = getSessionExamId(request);
//        reportSubjectQuestionService.saveReportSubjectObjectiveQuestionData(1, "1118802", query.getObjective());
        query.setExamId(examId);
        if (StringUtils.isNotBlank(query.getSubjectCode())) {
            List<ReportSubjectQuestion> questions = reportSubjectQuestionService.findByQuery(query);
            model.addAttribute("list", questions);
        }
        model.addAttribute("subjectList", getExamSubject(examId, webuser));
        model.addAttribute("query", query);
        return "modules/report/reportSubjectQuestion";
    }


}
