package cn.com.qmth.stmms.admin.report;

import cn.com.qmth.stmms.admin.exam.BaseExamController;
import cn.com.qmth.stmms.biz.exam.model.ExamSubject;
import cn.com.qmth.stmms.biz.exam.service.ExamSubjectService;
import cn.com.qmth.stmms.biz.report.model.ReportSubjectTeacherClass;
import cn.com.qmth.stmms.biz.report.query.ReportSubjectQuery;
import cn.com.qmth.stmms.biz.report.service.ReportSubjectTeacherClassService;
import cn.com.qmth.stmms.common.domain.WebUser;
import cn.com.qmth.stmms.common.utils.RequestUtils;
import org.apache.commons.lang.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * 课程老师班级 成绩分析
 *
 * @author xuwenjin
 * @date 2019-04-17
 */
@Controller
@RequestMapping("/admin/exam/reportSubjectTeacherClass")
public class ReportSubjectTeacherClassController extends BaseExamController {

    protected static Logger log = LoggerFactory.getLogger(ReportSubjectTeacherClassController.class);

    @Autowired
    private ReportSubjectTeacherClassService reportSubjectTeacherClassService;

    @Autowired
    private ExamSubjectService subjectService;


    @RequestMapping
    public String list(Model model, HttpServletRequest request, ReportSubjectQuery query) {
        WebUser webuser = RequestUtils.getWebUser(request);
        int examId = getSessionExamId(request);
//        reportSubjectTeacherClassService.saveReportSubjectTeacherClassData(1,"1118802");
        query.setExamId(examId);
        if (StringUtils.isNotBlank(query.getSubjectCode()) && StringUtils.isNotBlank(query.getTeacherName())) {
            List<ReportSubjectTeacherClass> reportSubjectTeacherClasses = reportSubjectTeacherClassService.findByQuery(query);
            model.addAttribute("list", reportSubjectTeacherClasses);
            ExamSubject subject = subjectService.find(examId,query.getSubjectCode());
            model.addAttribute("subjectName", subject.getCode()+"-"+subject.getName());
        }

        model.addAttribute("subjectList", getExamSubject(examId, webuser));
        model.addAttribute("query", query);
        return "modules/report/reportSubjectTeacherClass";
    }


}
