package cn.com.qmth.stmms.admin.report;

import cn.com.qmth.stmms.admin.exam.BaseExamController;
import cn.com.qmth.stmms.biz.report.model.ReportSubjectTeacher;
import cn.com.qmth.stmms.biz.report.query.ReportSubjectQuery;
import cn.com.qmth.stmms.biz.report.service.ReportSubjectTeacherService;
import cn.com.qmth.stmms.common.domain.WebUser;
import cn.com.qmth.stmms.common.utils.RequestUtils;
import org.apache.commons.lang.StringUtils;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

/**
 * 课程老师成绩分析
 *
 * @author xuwenjin
 * @date 2019-04-16 17:26
 */
@Controller
@RequestMapping("/admin/exam/reportSubjectTeacher")
public class ReportSubjectTeacherController extends BaseExamController {

    protected static Logger log = LoggerFactory.getLogger(ReportSubjectTeacherController.class);

    @Autowired
    private ReportSubjectTeacherService reportSubjectTeacherService;


    @RequestMapping
    public String list(Model model, HttpServletRequest request, ReportSubjectQuery query) {
        WebUser webuser = RequestUtils.getWebUser(request);
        int examId = getSessionExamId(request);
//        reportSubjectTeacherService.saveReportSubjectTeacherData(1,"1118802");
        query.setExamId(examId);
        if (StringUtils.isNotBlank(query.getSubjectCode())) {
            List<ReportSubjectTeacher> reportSubjectTeacherList = reportSubjectTeacherService.findByQuery(query);
            model.addAttribute("list", reportSubjectTeacherList);
        }
        model.addAttribute("subjectList", getExamSubject(examId, webuser));
        model.addAttribute("query", query);
        return "modules/report/reportSubjectTeacher";
    }


}
