<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp"%>
<html>
<head>
	<title>报表查询</title>
	<meta name="decorator" content="default"/>
	<%@include file="/WEB-INF/views/include/head.jsp" %>
	<%@include file="/WEB-INF/views/include/dialog.jsp" %>
	<style type="text/css">.sort{color:#0663A2;cursor:pointer;}</style>
</head>
<body>
	<ul class="nav nav-tabs">
		<li><a href="${ctx}/admin/exam/reportSubjectRange">课程分段统计</a></li>
		<li class="active"><a href="${ctx}/admin/exam/reportSubject">课程总量统计表</a></li>
	</ul>
	<form id="searchForm"  action="${ctx}/admin/exam/reportSubject" method="post" class="breadcrumb form-search">
		<input id="pageNumber" name="pageNumber" type="hidden"/>
		<input id="pageSize" name="pageSize" type="hidden"/>
		<div>
			<label>科目：</label>
			<select class="input-large" id="subjectCode" name="subjectCode">
				<option value="">请选择</option>
				<c:forEach items="${subjectList }" var="subject">
					<option value="${subject.code }" <c:if test="${query.subjectCode eq subject.code }">selected</c:if>>${subject.code}-${subject.name}</option>
				</c:forEach>
			</select>
			&nbsp;
			<input id="btnSubmit" class="btn btn-primary" type="button" value="查询" onclick="goSearch()"/>
		</div>
	</form>
	<tags:message content="${message}"/>
	<table id="contentTable" class="table table-striped table-bordered table-condensed">
		<thead>
			<tr>
				<th>课程</th>
				<th>报考人数</th>
				<th>缺考</th>
				<th>违纪</th>
				<th>实考人数</th>
				<th>平均分</th>
				<th>最高分</th>
				<th>最低分</th>
				<th>及格人数</th>
				<th>及格率(%)</th>
			</tr>
		</thead>
		<tbody>
		<c:forEach items="${list}" var="reportSubject">
			<tr>
				<td><a href="${ctx}/admin/exam/reportSubjectCollege?subjectCode=${reportSubject.subjectCode}">${reportSubject.subjectCode}-${reportSubject.subjectName}</a></td>
				<td>${reportSubject.totalCount}</td>
				<td>${reportSubject.absentCount}</td>
				<td>${reportSubject.breachCount}</td>
				<td>${reportSubject.realityCount}</td>
				<td>${reportSubject.avgScore}</td>
				<td>${reportSubject.maxScore}</td>
				<td>${reportSubject.minScore}</td>
				<td>${reportSubject.passCount}</td>
				<td>${reportSubject.passRate}</td>
			</tr>
		</c:forEach>
		</tbody>
	</table>
	<div class="pagination">${query}</div>
<script type="text/javascript">
function page(n,s){
	$("#pageNumber").val(n);
	$("#pageSize").val(s);
	$("#searchForm").submit();
	return false;
}
function goSearch(){
	$("#pageNumber").val(1);
	$("#pageSize").val('${query.pageSize}');
	$("#searchForm").submit();
	return false;
}
$(document).keydown(function(event) {
	if(event.keyCode == 13 || event.keyCode== 108){
		goSearch();
		return false;
	}
});
</script>	
</body>
</html>