<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<html>
<head>
    <title>报表查询</title>
    <meta name="decorator" content="default"/>
    <%@include file="/WEB-INF/views/include/head.jsp" %>
    <%@include file="/WEB-INF/views/include/dialog.jsp" %>
    <link rel="stylesheet" type="text/css" href="${ctxStatic}/jBox/Source/jBox.css">
    <script type="text/javascript" src="${ctxStatic}/jBox/Source/jBox.min.js"></script>
    <script type="text/javascript" src="${ctxStatic}/echarts/echarts.min.js"></script>
    <style type="text/css">.sort {
        color: #0663A2;
        cursor: pointer;
    }</style>
</head>
<body>
<ul class="nav nav-tabs">

    <li><a href="${ctx}/admin/exam/reportSubjectCollege?subjectCode=${query.subjectCode}">课程学院分析表</a></li>
    <li><a href="${ctx}/admin/exam/reportSubjectTeacher?subjectCode=${query.subjectCode}">课程任课老师分析表</a></li>
    <li><a href="${ctx}/admin/exam/reportSubjectClass?subjectCode=${query.subjectCode}">课程班级分析表</a></li>
    <li><a href="${ctx}/admin/exam/reportSubjectQuestion?subjectCode=${query.subjectCode}&objective=true">客观题分析表</a>
    </li>
    <li><a href="${ctx}/admin/exam/reportSubjectQuestion?subjectCode=${query.subjectCode}&objective=false">主观题分析表</a>
    </li>
    <li class="active"><a href="${ctx}/admin/exam/reportSubjectGroup?subjectCode=${query.subjectCode}">大题统计分析表</a></li>
</ul>
<form id="searchForm" action="${ctx}/admin/exam/reportSubjectGroup" method="post" class="breadcrumb form-search">
    <div>
        <label>科目：</label>
        <select class="input-large" id="subjectCode" name="subjectCode">
            <option value="">请选择</option>
            <c:forEach items="${subjectList }" var="subject">
                <option value="${subject.code }"
                        <c:if test="${query.subjectCode eq subject.code }">selected</c:if>>${subject.code}-${subject.name}</option>
            </c:forEach>
        </select>
        &nbsp;
        <input id="btnSubmit" class="btn btn-primary" type="button" value="查询" onclick="goSearch()"/>
        <input class="btn btn-primary" type="button" value="查看统计图" onclick="viewGroupEcharts()"/>
    </div>
</form>
<tags:message content="${message}"/>
<table id="contentTable" class="table table-striped table-bordered table-condensed">
    <thead>
    <tr>
        <th>题型</th>
        <th>满分</th>
        <th>最高分</th>
        <th>最低分</th>
        <th>平均分</th>
        <th>标准差</th>
        <th>差异系数（%）</th>
        <th>零分人数</th>
        <th>满分人数</th>
    </tr>
    </thead>
    <tbody>
    <c:forEach items="${list}" var="group">
        <tr>
            <td>${group.groupName}</td>
            <td>${group.totalScore}</td>
            <td>${group.maxScore}</td>
            <td>${group.minScore}</td>
            <td>${group.avgScore}</td>
            <td>${group.SD}</td>
            <td>${group.CV}</td>
            <td>${group.zeroCount}</td>
            <td>${group.fullCount}</td>
        </tr>
    </c:forEach>
    </tbody>
</table>
<script type="text/javascript">


    function viewGroupEcharts() {
        var groupNames = new Array();
        var fullScores = new Array();
        var maxScores = new Array();
        var minScores = new Array();
        var avgScores = new Array();
        var sds = new Array();

        $('tbody tr').each(function (i) {
            $(this).children('td').each(function (j) {
                if (j == 0) {
                    groupNames.push($(this).text());
                } else if (j == 1) {
                    fullScores.push($(this).text());
                } else if (j == 2) {
                    maxScores.push($(this).text());
                } else if (j == 3) {
                    minScores.push($(this).text());
                } else if (j == 4) {
                    avgScores.push($(this).text());
                } else if (j == 5) {
                    sds.push($(this).text());
                }
            });
        });

        var title = '';

        var imageModal = new jBox('Modal');
        imageModal.setWidth($(window).width() * 0.9);
        imageModal.setHeight($(window).height() * 0.85);
        imageModal.setTitle('大题型分析');
        imageModal.setContent($('#echart-view-content'));
        imageModal.open();

        var myChart = echarts.init(document.getElementById('echart-content'));

        // 指定图表的配置项和数据
        var option = {
            title: {
                text: '大题型分析'
                // textAlign:'center'
            },
            tooltip: {},
            legend: {
                data: ['满分', '最高分', '最低分', '平均分', '标准差']
            },
            dataZoom: [{
                type: 'slider',
                show: true,
                xAxisIndex: [0],
                left: '9%',
                bottom: -5,
                start: 10,
                end: 90 //初始化滚动条
            }],
            xAxis: {
                axisLabel: {
                    interval: 0,
                    rotate: 40
                },
                data: groupNames
            },
            yAxis: [
                {
                    type: 'value'
                },
                {
                    type: 'value'
                }
            ],
            series: [{
                name: '满分',
                type: 'bar',
                data: fullScores
            }, {
                name: '最高分',
                type: 'bar',
                yAxisIndex: 1,
                data: maxScores
            }, {
                name: '最低分',
                type: 'bar',
                data: minScores
            }, {
                name: '平均分',
                type: 'line',
                data: avgScores
            }, {
                name: '标注差',
                type: 'line',
                yAxisIndex: 1,
                data: sds
            }]
        };
        // 使用刚指定的配置项和数据显示图表。
        myChart.setOption(option);
    }


    function goSearch() {
        if ($("#subjectCode").val() == null || $("#subjectCode").val() == '') {
            alert('请选择科目');
            return;
        }
        $("#searchForm").submit();
        return false;
    }

    $(document).keydown(function (event) {
        if (event.keyCode == 13 || event.keyCode == 108) {
            goSearch();
            return false;
        }
    });
</script>

<div id="echart-view-content" class="container-fluid" style="display:none" align="center">
    <div id="echart-content" style="width: 100%;height:520px;"/>
</div>
</body>
</html>