<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<html>
<head>
    <title>报表查询</title>
    <meta name="decorator" content="default"/>
    <%@include file="/WEB-INF/views/include/head.jsp" %>
    <%@include file="/WEB-INF/views/include/dialog.jsp" %>
    <link rel="stylesheet" type="text/css" href="${ctxStatic}/jBox/Source/jBox.css">
    <script type="text/javascript" src="${ctxStatic}/jBox/Source/jBox.min.js"></script>
    <script type="text/javascript" src="${ctxStatic}/echarts/echarts.min.js"></script>
    <style type="text/css">.sort {
        color: #0663A2;
        cursor: pointer;
    }</style>
</head>
<body>
<ul class="nav nav-tabs">

    <li><a href="${ctx}/admin/exam/reportSubjectCollege?subjectCode=${query.subjectCode}">课程学院分析表</a></li>
    <li><a href="${ctx}/admin/exam/reportSubjectTeacher?subjectCode=${query.subjectCode}">课程任课老师分析表</a></li>
    <li><a href="${ctx}/admin/exam/reportSubjectClass?subjectCode=${query.subjectCode}">课程班级分析表</a></li>
    <li id="objectiveLi"><a
            href="${ctx}/admin/exam/reportSubjectQuestion?subjectCode=${query.subjectCode}&objective=true">客观题分析表</a>
    </li>
    <li id="subjectiveLi"><a
            href="${ctx}/admin/exam/reportSubjectQuestion?subjectCode=${query.subjectCode}&objective=false">主观题分析表</a>
    </li>
    <li><a href="${ctx}/admin/exam/reportSubjectGroup?subjectCode=${query.subjectCode}">大题统计分析表</a></li>
</ul>
<form id="searchForm" action="${ctx}/admin/exam/reportSubjectQuestion" method="post" class="breadcrumb form-search">
    <input id="objective" name="objective" value="${query.objective}" type="hidden"/>
    <div>
        <label>科目：</label>
        <select class="input-large" id="subjectCode" name="subjectCode">
            <option value="">请选择</option>
            <c:forEach items="${subjectList }" var="subject">
                <option value="${subject.code }"
                        <c:if test="${query.subjectCode eq subject.code }">selected</c:if>>${subject.code}-${subject.name}</option>
            </c:forEach>
        </select>
        &nbsp;
        <input id="btnSubmit" class="btn btn-primary" type="button" value="查询" onclick="goSearch()"/>
        <input class="btn btn-primary" type="button" value="查看统计图" onclick="viewQuestionEcharts()"/>

    </div>
</form>
<tags:message content="${message}"/>
<table id="contentTable" class="table table-striped table-bordered table-condensed">
    <thead>
    <tr>
        <th>题目名称</th>
        <th>单题分数</th>
        <th>单题平均分</th>
        <th>单题标准差</th>
        <th>得分率</th>
        <th>满分率</th>
    </tr>
    </thead>
    <tbody>
    <c:forEach items="${list}" var="question">
        <tr>
            <td>${question.questionName}</td>
            <td>${question.totalScore}</td>
            <td>${question.avgScore}</td>
            <td>${question.sd}</td>
            <td>${question.scoreRate}</td>
            <td>${question.fullScoreRate}</td>
        </tr>
    </c:forEach>
    </tbody>
</table>
<script type="text/javascript">
    $(document).ready(function () {
        var objective = '${query.objective}';
        if (objective == 'true') {
            $('#objectiveLi').addClass('active');
        } else {
            $('#subjectiveLi').addClass('active');
        }
    });

    function viewQuestionEcharts() {
        var objective = '${query.objective}';
        var questions = new Array();
        var avgScores = new Array();
        var scoreRates = new Array();
        var fullScoreRates = new Array();

        $('tbody tr').each(function (i) {
            $(this).children('td').each(function (j) {
                if(j == 0){
                    questions.push($(this).text());
                } else if(j == 2){
                    avgScores.push($(this).text());
                } else if(j == 4){
                    scoreRates.push($(this).text()*100);
                } else if(j == 5){
                    fullScoreRates.push($(this).text()*100);
                }
            });
        });

        var title = '';

        var imageModal = new jBox('Modal');
        imageModal.setWidth($(window).width() * 0.9);
        imageModal.setHeight($(window).height() * 0.85);
        imageModal.setTitle(objective == 'true'?'客观题分析':'主观题分析');
        imageModal.setContent($('#echart-view-content'));
        imageModal.open();

        var myChart = echarts.init(document.getElementById('echart-content'));

        // 指定图表的配置项和数据
        var option = {
            title: {
                text: objective == 'true'?'客观题分析':'主观题分析'
                // textAlign:'center'
            },
            tooltip: {},
            legend: {
                data: ['平均分','得分率','满分率']
            },
            dataZoom: [{
                type: 'slider',
                show: true,
                xAxisIndex: [0],
                left: '9%',
                bottom: -5,
                start: 10,
                end: 90 //初始化滚动条
            }],
            xAxis: {
                axisLabel: {
                    interval:0,
                    rotate:40
                },
                data: questions
            },
            yAxis: [
                {
                    type: 'value'
                },
                {
                    type: 'value'
                }
            ],
            series: [{
                name: '平均分',
                type: 'bar',
                data: avgScores
            },{
                name: '得分率',
                type: 'line',
                yAxisIndex : 1,
                data: scoreRates
            },{
                name: '满分率',
                type: 'line',
                yAxisIndex : 1,
                data: fullScoreRates
            }]
        };
        // 使用刚指定的配置项和数据显示图表。
        myChart.setOption(option);
    }


    function goSearch() {
        if ($("#subjectCode").val() == null || $("#subjectCode").val() == '') {
            alert('请选择科目');
            return;
        }
        $("#searchForm").submit();
        return false;
    }

    $(document).keydown(function (event) {
        if (event.keyCode == 13 || event.keyCode == 108) {
            goSearch();
            return false;
        }
    });
</script>
<div id="echart-view-content" class="container-fluid" style="display:none" align="center">
    <div id="echart-content" style="width: 100%;height:520px;"/>
</div>
</body>
</html>