<%@ page contentType="text/html;charset=UTF-8" %>
<%@ include file="/WEB-INF/views/include/taglib.jsp" %>
<html>
<head>
    <title>报表查询</title>
    <meta name="decorator" content="default"/>
    <%@include file="/WEB-INF/views/include/head.jsp" %>
    <%@include file="/WEB-INF/views/include/dialog.jsp" %>
    <link rel="stylesheet" type="text/css" href="${ctxStatic}/jBox/Source/jBox.css">
    <script type="text/javascript" src="${ctxStatic}/jBox/Source/jBox.min.js"></script>
    <script type="text/javascript" src="${ctxStatic}/echarts/echarts.min.js"></script>
    <style type="text/css">.sort {
        color: #0663A2;
        cursor: pointer;
    }</style>
</head>
<body>
<ul class="nav nav-tabs">
    <li class="active"><a href="#">任课老师班级分析表</a></li>
</ul>
<form id="searchForm" action="${ctx}/admin/exam/reportSubjectTeacher" method="post" class="breadcrumb form-search">
    &nbsp;&nbsp;科目：${subjectName}&nbsp;&nbsp;&nbsp;&nbsp;任课老师：${query.teacherName} &nbsp;&nbsp;
    <a href="#" class="btn btn-primary" onclick="viewTeacherClassEcharts()"/>查看统计图</a>
    <a href="#" class="btn" onclick="javascript:history.go(-1)"/>返回</a>
</form>
<tags:message content="${message}"/>
<table id="contentTable" class="table table-striped table-bordered table-condensed">
    <thead>
    <tr>
        <th>班级</th>
        <th>实考</th>
        <th>及格</th>
        <th>优秀</th>
        <th>最高分</th>
        <th>最低分</th>
        <th>及格率（%）</th>
        <th>优秀率（%）</th>
        <th>平均数</th>
        <th>平均相对分</th>
    </tr>
    </thead>
    <tbody>
    <c:forEach items="${list}" var="reportSubjectteacher">
        <tr>
            <td>${reportSubjectteacher.className}</td>
            <td>${reportSubjectteacher.realityCount}</td>
            <td>${reportSubjectteacher.passCount}</td>
            <td>${reportSubjectteacher.excellentCount}</td>
            <td>${reportSubjectteacher.maxScore}</td>
            <td>${reportSubjectteacher.minScore}</td>
            <td>${reportSubjectteacher.passRate}</td>
            <td>${reportSubjectteacher.excellentRate}</td>
            <td>${reportSubjectteacher.avgScore}</td>
            <td>${reportSubjectteacher.relativeAvgScore}</td>
        </tr>
    </c:forEach>
    </tbody>
</table>
<script type="text/javascript">

    function viewTeacherClassEcharts() {
        var classs = new Array();
        var avgScores = new Array();
        var maxScores = new Array();
        var minScores = new Array();
        var passRates = new Array();
        var excellentRates = new Array();
        var relativeAvgScore = new Array();

        $('tbody tr').each(function (i) {
            $(this).children('td').each(function (j) {
                if(j == 0){
                    classs.push($(this).text());
                } else if(j == 8){
                    avgScores.push($(this).text());
                } else if(j == 4){
                    maxScores.push($(this).text());
                } else if(j == 5){
                    minScores.push($(this).text());
                } else if(j == 6){
                    passRates.push($(this).text()*100);
                } else if(j == 7){
                    excellentRates.push($(this).text()*100);
                } else if(j == 9){
                    relativeAvgScore.push($(this).text());
                }
            });
        });

        var title = '';

        var imageModal = new jBox('Modal');
        imageModal.setWidth($(window).width() * 0.9);
        imageModal.setHeight($(window).height() * 0.85);
        imageModal.setTitle('任课班级成绩分析');
        imageModal.setContent($('#echart-view-content'));
        imageModal.open();

        var myChart = echarts.init(document.getElementById('echart-content'));

        // 指定图表的配置项和数据
        var option = {
            title: {
                text: '任课班级成绩分析'
                // textAlign:'center'
            },
            tooltip: {},
            legend: {
                data: ['最高分','最低分','平均分','相对平均分','优秀率','及格率']
            },
            dataZoom: [{
                type: 'slider',
                show: true,
                xAxisIndex: [0],
                left: '9%',
                bottom: -5,
                start: 10,
                end: 90 //初始化滚动条
            }],
            xAxis: {
                axisLabel: {
                    interval:0,
                    rotate:40
                },
                data: classs
            },
            yAxis: [
                {
                    type: 'value'
                },
                {
                    type: 'value'
                }
            ],
            series: [{
                name: '最高分',
                type: 'bar',
                data: maxScores
            },{
                name: '最低分',
                type: 'bar',
                data: minScores
            },{
                name: '平均分',
                type: 'bar',
                data: avgScores
            },{
                name: '相对平均分',
                type: 'line',
                yAxisIndex : 1,
                data: relativeAvgScore
            },{
                name: '及格率',
                type: 'line',
                data: passRates
            },{
                name: '优秀率',
                type: 'line',
                data: excellentRates
            }]
        };
        // 使用刚指定的配置项和数据显示图表。
        myChart.setOption(option);
    }

</script>
<div id="echart-view-content" class="container-fluid" style="display:none" align="center">
    <div id="echart-content" style="width: 100%;height:520px;"/>
</div>
</body>
</html>